:root {
    --gap: 1rem;
    --color: #7a7a7a;
}
* {
    font-size: 1rem;
}
html, body {
    height: 100%;
}

.button-container {
    display: flex;
    flex-direction: row;
    gap: var(--gap);
    padding: 4rem;
    margin: 1rem;
    border: 5px solid #999;
    border-radius: .5rem;
    background-color: var(--color);
    align-items: center;
    justify-content: center;
    height: 7rem;
}

.button-container > button {
    border: none;
    width: 2.5rem;
    height: 2.5rem;
    border-radius: 50%;
    color: #999;
    background-color: #fff;
    transition: all .15s ease-in-out;
}

.button-container > button > span {
    align-items: center;
}

button:hover {
    width: 5rem;
    border-radius: 25px;
    color: var(--color);
}
